Page MenuHomePhabricator

tests: add test showing broken extension loading in case of share-safe
AcceptedPublic

Authored by pulkit on Sep 18 2020, 10:40 AM.

Details

Reviewers
indygreg
marmoute
Group Reviewers
hg-reviewers
Summary

When we are using share-safe and loading source repository config, we are still
not loading the extensions which are enabled in the source repository.

This patch demonstrates the bug. Meanwhile it also shows how unreliable `hg
debugextensions` is.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

pulkit created this revision.Sep 18 2020, 10:40 AM
indygreg accepted this revision.Sep 22 2020, 9:25 PM
This revision is now accepted and ready to land.Sep 22 2020, 9:25 PM
pulkit updated this revision to Diff 22772.Sep 23 2020, 3:22 AM
marmoute accepted this revision.Fri, Oct 16, 6:20 AM